Retrieve all operations from a schema.
GET/zones/{zone_id}/api_gateway/user_schemas/{schema_id}/operations
Retrieves all operations from the schema. Operations that already exist in API Shield Endpoint Management will be returned as full operations.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Query Parameters
Retrieve all operations from a schema.
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/api_gateway/user_schemas/$SCHEMA_ID/operations \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"endpoint": "/api/v1/users/{var1}",
"host": "www.example.com",
"last_updated": "2014-01-01T05:20:00.12345Z",
"method": "GET",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"features": {
"api_routing": {
"last_updated": "2014-01-01T05:20:00.12345Z",
"route": "https://api.example.com/api/service"
}
}
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 100
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": [
{
"endpoint": "/api/v1/users/{var1}",
"host": "www.example.com",
"last_updated": "2014-01-01T05:20:00.12345Z",
"method": "GET",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"features": {
"api_routing": {
"last_updated": "2014-01-01T05:20:00.12345Z",
"route": "https://api.example.com/api/service"
}
}
}
],
"success": true,
"result_info": {
"count": 1,
"page": 1,
"per_page": 20,
"total_count": 2000,
"total_pages": 100
}
}